classification
Title: Additional 2to3 documentation updates
Type: Stage:
Components: Documentation Versions: Python 3.0
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: georg.brandl Nosy List: LambertDW, georg.brandl
Priority: normal Keywords:

Created on 2008-09-30 04:20 by LambertDW, last changed 2008-10-04 18:33 by georg.brandl. This issue is now closed.

Messages (5)
msg74065 - (view) Author: David W. Lambert (LambertDW) Date: 2008-09-30 04:20
http://docs.python.org/dev/3.0/howto/functional.html

    a) Refers to "print statement" in Introduction,

    b) Uses syntax no longer valid:

       def get_state ((city, state)):
           '''
               alas and unfortunately argument grouping
               is no longer permitted
           '''
           return state


Thanks, that's all for tonight.
msg74115 - (view) Author: David W. Lambert (LambertDW) Date: 2008-10-01 05:08
http://docs.python.org/dev/3.0/library/reprlib.html

    Should read  return eval(obj)

            return `obj`



http://docs.python.org/dev/3.0/library/collections.html#id2

    Relic decimal point in named tuple example.

    >>> for p in Point(3, 4), Point(14, 5/7.):
msg74225 - (view) Author: David W. Lambert (LambertDW) Date: 2008-10-03 05:24
http://docs.python.org/dev/3.0/reference/lexical_analysis.html#identifi
ers-and-keywords

    Back quote "`" appears in the list of delimiters.

    I suspect it isn't one.
msg74269 - (view) Author: David W. Lambert (LambertDW) Date: 2008-10-03 19:29
http://docs.python.org/dev/3.0/library/reprlib.html

Back ticks didn't become a part of my python repertoire.

I suppose
 
    return repr(obj) # is correct replacement for  return `obj`
msg74318 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2008-10-04 18:33
Thanks, fixed all of them in r66794.
History
Date User Action Args
2008-10-04 18:33:31georg.brandlsetstatus: open -> closed
resolution: fixed
messages: + msg74318
2008-10-03 19:29:44LambertDWsetmessages: + msg74269
2008-10-03 05:24:38LambertDWsetmessages: + msg74225
2008-10-01 05:08:59LambertDWsetmessages: + msg74115
2008-09-30 04:20:32LambertDWcreate